import type { App } from "vue";
import * as ElementPlusIconsVue from "@element-plus/icons-vue";

import DataVVue3 from "@kjgl77/datav-vue3";

// 注册所有图标
export function setupElIcons(app: App<Element>) {
  app.use(DataVVue3);

  for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
    app.component(key, component);
  }
}
